algebra-3.1: Constructive abstract algebra

Safe Haskell | None

Numeric.Coalgebra.Categorical

# Documentation

newtype Morphism a Source

Constructors

Morphism a |

Instances

Typeable1 Morphism |
(Commutative r, Monoidal r, Semiring r, PartialSemigroup a) => Coalgebra r (Morphism a) |
(Commutative r, Monoidal r, Semiring r, PartialMonoid a) => CounitalCoalgebra r (Morphism a) |
Eq a => Eq (Morphism a) |
Data a => Data (Morphism a) |
Ord a => Ord (Morphism a) |
Read a => Read (Morphism a) |
Show a => Show (Morphism a) |
PartialSemigroup a => PartialSemigroup (Morphism a) |
PartialMonoid a => PartialMonoid (Morphism a) |
PartialGroup a => PartialGroup (Morphism a) |